Get all global roles
get
/ec-auth-svc/rest/v1.0/globalroles
Retrieve all global roles available to assign at the system level. Returns a list of role objects, each with its unique ID, name, and list of associated rights.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object DisplayGlobalRoleDto
Represents a global role with its ID, name, and related rights.
Nested Schema : DisplayGlobalRoleDto
Type:
objectRepresents a global role with its ID, name, and related rights.
Show Source
-
id: string
(uuid)
Unique identifier for the global role.
-
rights: array
rights
List of rights related to the global role.
-
roleName: string
The name of the role.Example:
Approve Library Objects
Example:
{
"id":"07968CA58DAF356CAF7BCD708ADCB159",
"roleName":"Approve Library Objects",
"rights":[
"READ",
"WRITE"
]
}Nested Schema : rights
Type:
arrayList of rights related to the global role.
Show Source
-
Array of:
string
List of rights related to the global role.Example:
["READ","WRITE"]
Example:
[
"READ",
"WRITE"
]Examples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object